Create POS Sale

Creates a new POS sale with the provided GUID. The API consumer must provide their own unique GUID which will be used as the SystemId. The POS Unit is resolved from the API user's User Setup and must be of type UNATTENDED to support multiple concurrent active sales per unit.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Request

This endpoint expects an object.
customerNostringOptional
The customer number to assign to this sale
vatBusinessPostingGroupstringOptional
The VAT Business Posting Group to use for this sale
genBusinessPostingGroupstringOptional
The Gen. Business Posting Group to use for this sale

Response

This endpoint returns an object.
saleIdUUID
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
receiptNostring
posUnitstring
posStorestring
datedate
startTimedatetime
customerNostring
salespersonCodestring
vatBusinessPostingGroupstring
genBusinessPostingGroupstring
saleLineslist of objectsOptional
paymentLineslist of objectsOptional
totalSalesAmountInclVatdoubleOptional

Total amount of all sale lines including VAT (only present when withLines=true)

totalPaymentAmountdoubleOptional

Total amount of all payment lines (only present when withLines=true)